{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Activate Quiz
{% endblock %}

{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus-circle"></i>
                Activate Quiz Portal
            </h2>
            <div class="clearfix"></div>
        </div>

        <div class="x_content">
            <div class="row">
                <div role="alert" class="alert alert-success alert-dismissible fade in" align="center">
                    <h4>{{ staffCourseInstance.course }}</h4>
                    <h5>Quiz <strong>{{ unitTestNumber }}</strong></h5>
                </div>
            </div>
        </div>

        <form method="POST">{% csrf_token %}
            <div class="form-horizontal form-label-left">
                {% for question in quizQuestionList %}
                    <div class="form-group">
                        <label class="control-label col-md-2 col-sm-3 col-xs-12">
                            Question {{ question.questionNumber }}
                        </label>
                        <div class="col-md-8 col-sm-6 col-xs-12">
                    <textarea id="reason" class="form-control" rows="3" type="text"
                              name="question-{{ question.questionNumber }}"
                              required>{{ question.question }}</textarea>
                        </div>
                    </div>
                    {% if question.option1 or question.option1 == '' %}
                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                Option 1
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input class="form-control" type="text" name="option-{{ question.questionNumber }}-1"
                                       value="{{ question.option1 }}" required>
                            </div>
                            <div class="col-md-3 col-sm-3 col-xs-12">
                                <div id="div" class="form-check">
                                    <label class="form-check-label">
                                        <input class="form-check-input" type="radio" required
                                               name="answer-{{ question.questionNumber }}" value="1"
                                                {% if question.rightAnswer == 1 %}
                                               checked
                                                {% endif %}
                                        >Answer
                                    </label>
                                </div>
                            </div>
                        </div>
                    {% endif %}
                    {% if question.option2 or question.option2 == '' %}
                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                Option 2
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input class="form-control" type="text" name="option-{{ question.questionNumber }}-2"
                                       value="{{ question.option2 }}" required>
                            </div>
                            <div class="col-md-3 col-sm-3 col-xs-12">
                                <div id="div" class="form-check">
                                    <label class="form-check-label">
                                        <input class="form-check-input" type="radio"
                                               name="answer-{{ question.questionNumber }}" value="2"
                                                {% if question.rightAnswer == 2 %}
                                               checked
                                                {% endif %}
                                        >Answer
                                    </label>
                                </div>
                            </div>
                        </div>
                    {% endif %}
                    {% if question.option3 or question.option3 == '' %}
                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                Option 3
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input class="form-control" type="text" name="option-{{ question.questionNumber }}-3"
                                       value="{{ question.option3 }}" required>
                            </div>
                            <div class="col-md-3 col-sm-3 col-xs-12">
                                <div id="div" class="form-check">
                                    <label class="form-check-label">
                                        <input class="form-check-input" type="radio"
                                               name="answer-{{ question.questionNumber }}" value="3"
                                                {% if question.rightAnswer == 3 %}
                                               checked
                                                {% endif %}
                                        >Answer
                                    </label>
                                </div>
                            </div>
                        </div>
                    {% endif %}
                    {% if question.option4 or question.option4 == '' %}
                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                Option 4
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input class="form-control" type="text" name="option-{{ question.questionNumber }}-4"
                                       value="{{ question.option4 }}" required>
                            </div>
                            <div class="col-md-3 col-sm-3 col-xs-12">
                                <div id="div" class="form-check">
                                    <label class="form-check-label">
                                        <input class="form-check-input" type="radio"
                                               name="answer-{{ question.questionNumber }}" value="4"
                                                {% if question.rightAnswer == 4 %}
                                               checked
                                                {% endif %}
                                        >Answer
                                    </label>
                                </div>
                            </div>
                        </div>
                    {% endif %}
                    {% if question.option5 or question.option5 == '' %}
                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                Option 5
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input class="form-control" type="text" name="option-{{ question.questionNumber }}-5"
                                       value="-{{ question.option5 }}" required>
                            </div>
                            <div class="col-md-3 col-sm-3 col-xs-12">
                                <div id="div" class="form-check">
                                    <label class="form-check-label">
                                        <input class="form-check-input" type="radio"
                                               name="answer-{{ question.questionNumber }}" value="5"
                                                {% if question.rightAnswer == 5 %}
                                               checked
                                                {% endif %}
                                        >Answer
                                    </label>
                                </div>
                            </div>
                        </div>
                    {% endif %}
                {% endfor %}
            </div>
            <br><br>
            <div class="form-group">
                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                </label>
                <div class="col-md-6 col-sm-6 col-xs-12">
                    <!-- Button trigger modal -->
                    <button type="button" class="btn1 btn-dark-green" data-toggle="modal"
                            data-target="#confirmActivation">
                        Activate
                    </button>

                    <!-- Modal -->
                    <div class="modal" id="confirmActivation" tabindex="-1" role="dialog"
                         aria-labelledby="myModalLabel1" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                    <h4 class="modal-title" id="myModalLabel1">Activate Confirmation</h4>
                                </div>
                                <div class="modal-body">
                                    <h4>
                                        <ul>
                                            <li>This will activate Quiz Portal</li>
                                            <br>
                                            <li>Are you sure?</li>
                                        </ul>
                                    </h4>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn1 btn1-secondary" data-dismiss="modal">Close
                                    </button>
                                    <button type="submit" class="btn1 btn-indigo">Save changes</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>

{% endblock %}